Custody providers

List Fireblocks Vault Accounts

Lists Fireblocks vault accounts using a caller-supplied API key and the org's stored secret key.

POSThttps://api.toku.com/tga/list-fireblocks-vault-accounts

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/tga/list-fireblocks-vault-accounts' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fireblocksApiKey": "string"
}'
200 response
{
  "vaultAccounts": [
    {
      "id": "string",
      "name": "string",
      "assets": [
        {
          "id": "string",
          "balance": "string",
          "available": "string"
        }
      ]
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

fireblocksApiKeystringrequired

Allowed: at least 1 characters

Response

200Successful response
vaultAccountsobject[]required
Show child attributes
idstringrequired
namestringrequired
assetsobject[]
Show child attributes
idstringrequired
balancestringrequired
availablestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits